
%define major   2
%define name    libfwbuilder
%define version 2.1.19
%define release 1
%define BUILD_VERSION 21

%if "%_vendor" == "MandrakeSoft"
%define libname  %name
%define libgroup System/Libraries
%define devgroup Development/Other
%else
%define libname  %name
%define libgroup System Environment/Libraries
%define devgroup Development/Libraries
%endif

Summary: 	Firewall Builder API
Name:           %{name}
Version:        %{version}
Release:        5.2
License: 	GPL2
Group:  	%{libgroup}
Url: 		http://www.fwbuilder.org/
Source: 	%{name}-%{version}.tar.gz
Patch:		%{name}-include.diff
Packager: 	Carsten Schoene <cs@linux-administrator.com>
Provides:	%{name}%{major}

Buildroot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires: libxml2 libxml2-devel libxslt libxslt-devel openssl glibc-devel libgcc gcc gcc-c++ qt3-devel net-snmp net-snmp-devel openssl-devel
%if 0%{?suse_version}
BuildRequires: tcpd-devel
%endif
%if 0%{?fedora_version}
BuildRequires: tcp_wrappers
%endif

Docdir:   	/usr/share/doc

%description 
Firewall Builder 2.1 API library and compiler framework

%if "%{libname}" != "%{name}"
%package -n %libname
Summary: 	Firewall Builder 2.1 API
Provides: 	%name = %version
Group:  	%{libgroup}
%endif

%description -n %libname
Firewall Builder 2.1 API library and compiler framework

%files -n %libname
%defattr(-,root,root)
%doc doc/AUTHORS doc/COPYING doc/ChangeLog doc/Credits doc/INSTALL doc/PatchAcceptancePolicy.txt
%dir /usr/share/libfwbuilder%{BUILD_VERSION}
/usr/share/libfwbuilder%{BUILD_VERSION}/*
%_libdir/libfwbuilder.so.*
%_libdir/libfwcompiler.so.*




%package -n %{libname}-devel
Summary:   Firewall Builder API Libraries and Header Files
Group:     %{devgroup}
Requires:  %{name} = %{version}
Provides:  %name-devel = %version-%release
Provides:  %{libname}%{major}-devel

%description -n %{libname}-devel
This package contains the libraries  and header files that programmer would
need to develop applications using Firewall Builder API.


%files  -n %{libname}-devel
%defattr(-,root,root)
%doc doc/AUTHORS doc/COPYING doc/ChangeLog doc/Credits doc/INSTALL doc/README doc/PatchAcceptancePolicy.txt
/usr/bin/libfwbuilder-config-2.1
%dir /usr/include/fwb-2.1
/usr/include/fwb-2.1/fwbuilder
/usr/include/fwb-2.1/fwcompiler
%_libdir/*.so

%prep 

%setup
%patch

%build
[ -n "$QTDIR" ] || {
  [ -f %{_sysconfdir}/profile.d/qt.sh ] && . %{_sysconfdir}/profile.d/qt.sh
  [ -f %{_sysconfdir}/profile.d/qtdir3.sh ] && . %{_sysconfdir}/profile.d/qtdir3.sh
  [ -f %{_sysconfdir}/SuSEconfig/profile ] && . %{_sysconfdir}/SuSEconfig/profile
}
%configure --enable-auto-docdir --libdir=%{_libdir} --prefix=/usr/ 
make all

%install
[ -n "$QTDIR" ] || {
  [ -f %{_sysconfdir}/profile.d/qt.sh ] && . %{_sysconfdir}/profile.d/qt.sh
  [ -f %{_sysconfdir}/profile.d/qtdir3.sh ] && . %{_sysconfdir}/profile.d/qtdir3.sh
  [ -f %{_sysconfdir}/SuSEconfig/profile ] && . %{_sysconfdir}/SuSEconfig/profile
}
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
make DDIR="${RPM_BUILD_ROOT}/" install
# prevent including docs twice
rm -rf $RPM_BUILD_ROOT/%{_datadir}/doc/%{name}-%{version}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%changelog
* Mon May 19 2008 Carsten Schoene <cs@linux-administrator.com>
- version changed to 2.1.19
 - Improvements and bug fixes in the GUI
     * fixed bug #1949103: "manpage slightly broken". Minor fixes in
       fwbedit.1 man page.
     * fixed bug #1949438: "parser expects decimal - hex is not accepted".
       Importer for iptables should be able to process "--set-mark" with hex
       argument.
     * fixed bug #1562726: "policy print rule cut-off". Long rulesets would
       not print correctly on Windows, the bottom of the ruleset table was
       just printed solid grey with no rules visible.
 - Improvements and bug fixes in the policy compiler for iptables
     * bug #1938985: Rate in hashlimit in local language
     * fixed bug# 1940504: "Clamp MSS to MTU". Iptables command that invokes
       "-j TCPMSS --clamp-mss-to-pmtu" in FORWARD chain should go before the
       one that matches "--state ESTABLISHED,RELATED" in order to work for
       the packets in these states.
     * partial fix for bugs #1789059 "shadow issue when using action chain"
       and #1945149: "Shadowing test for rules with action chain". The
       mechanism for rule shadowing detection we have at this time can only
       detect shadowing of one rule by another. In case of branching it is a
       combination of the branching rule and rules inside the branch that may
       shadow other rules. I plan to redesign this part of the code in the
       future, but it won't happen in upcoming v3. Meanwhile, I am fixing it
       in 2.1 by making compiler ignore rules with action Branch.
 - Improvements and bug fixes in the policy compiler for PF
     * fixed bug #1821573: "Rule options limits allow for multiple overload
       tables". PF allows only for one "overload" option per rule.
     * fixed bug #1961202: "Pf Timeouts overriden by Optimization". Compiler
       should generate "set optimization" command before "set timeout"
       commands.
* Mon Apr 07 2008 Carsten Schoene <cs@linux-administrator.com>
- version changed to 2.1.18
 - This version includes compilers for Cisco PIX and IOS access lists which were released under GPL.

* Thu Feb 21 2008 Carsten Schoene <cs@linux-administrator.com>
- version changed to 2.1.17
 - This is a bug-fix release. It improves stablility of the policy importer on 64-bit platforms, supports import of iptables policies that use TCPMSS target, fixes problems with built-in RCS on windows when user does not have administrator's rights and comes with nearly 100% Brazilian Portugese translation
* Thu Dec 20 2007 Carsten Schoene <cs@linux-administrator.com>
- version changed to 2.1.16
- Unfortunate bug introduced in 2.1.15 that broke generated firewall script for iptables in case option "use iptables-restore" was on is fixed in this release. Additional checks were added to the generated script for iptables to improve error detection and make sure the GUI properly detects when it terminates with error. Support for load balancing with PF was also added.
* Tue Dec 11 2007 Carsten Schoene <cs@linux-administrator.com>
- version changed to 2.1.15
- This is another bugfix release. Several problems with policy installer running in batch mode have been fixed, also this release resolves compatibility issues with Windows Vista and Mac OS X Leopard.

* Sat Sep 15 2007 Carsten Schoene <cs@linux-administrator.com>
- version changed to 2.1.14
- This is another bugfix release, it comes with numerous improvements in the iptables policy importer and fixes for gcc 4.2 and 4.3

* Sat Aug 04 2007 Carsten Schoene <cs@linux-administrator.com>
- version changed to 2.1.13
- This is bugfix release; its main focus is better support for new features available in PF in OpenBSD 4.1
  and improvements in built-in policy installer

* Wed Jun 27 2007 Carsten Schoene <cs@linux-administrator.com>
- created changelog in this specfile
- version changed to 2.1.12
- This release comes with support for Cisco IOS access lists and ability 
  to import existing iptables and IOS access lists configurations. 
  Multiple bug fixes are included as well.
